﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace EduNetworkBuilder
{
    class PersonClass
    {
        string filepath=""; //the path of the file.  We use the username as the file-name.

        string _UserName="";
        /// <summary>
        /// The username of the person.  Will be used as a filename.  Cannot be changed once it is set
        /// </summary>
        public string UserName { get { return _UserName; } }

        /// <summary>
        /// The full name of the person. Can have spaces and punctuation.  Can change as one wants it changed.
        /// </summary>
        public string FullName = "";  
        List<string> Passwords;
        /// <summary>
        /// The AltPassword is mainly used to hold the admin decrypting password.  The student account will
        /// use this to encrypt the student password, so the admin can open their file.
        /// </summary>
        string AltPassword = "";
        /// <summary>
        /// Used to determine if the user we are working with is the admin account.
        /// </summary>
        bool isAdmin = false;
        /// <summary>
        /// EverCompletedPuzzles is a list of puzzles that they have completed once.
        /// </summary>
        List<string> EverCompletedPuzzles = new List<string>();

        List<SchoolworkClass> Projects = new List<SchoolworkClass>();
    }
}
